
From: Mauro Carvalho Chehab <mchehab@brturbo.com.br>

- cx88-dvb has been incorrectly reporting the card name instead of frontend name
- Removes a bad PCI subsystem ID for saa713x Sabrent card
- Renames DVICO --> DViCO for bttv.
- #include <linux/config.h> no longer needed.

Signed-off-by: Michael Krufky <mkrufky@m1k.net>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 Documentation/video4linux/CARDLIST.bttv     |    4 ++--
 drivers/media/video/bttv-cards.c            |    4 ++--
 drivers/media/video/cx88/cx88-dvb.c         |    6 ------
 drivers/media/video/saa7134/saa7134-cards.c |    6 ------
 4 files changed, 4 insertions(+), 16 deletions(-)

diff -puN Documentation/video4linux/CARDLIST.bttv~v4l-cx88-dvb-incorrectly-reporting-fixed-and Documentation/video4linux/CARDLIST.bttv
--- devel/Documentation/video4linux/CARDLIST.bttv~v4l-cx88-dvb-incorrectly-reporting-fixed-and	2005-09-07 20:11:08.000000000 -0700
+++ devel-akpm/Documentation/video4linux/CARDLIST.bttv	2005-09-07 20:11:08.000000000 -0700
@@ -126,12 +126,12 @@ card=124 - AverMedia AverTV DVB-T 761
 card=125 - MATRIX Vision Sigma-SQ
 card=126 - MATRIX Vision Sigma-SLC
 card=127 - APAC Viewcomp 878(AMAX)
-card=128 - DVICO FusionHDTV DVB-T Lite
+card=128 - DViCO FusionHDTV DVB-T Lite
 card=129 - V-Gear MyVCD
 card=130 - Super TV Tuner
 card=131 - Tibet Systems 'Progress DVR' CS16
 card=132 - Kodicom 4400R (master)
 card=133 - Kodicom 4400R (slave)
 card=134 - Adlink RTV24
-card=135 - DVICO FusionHDTV 5 Lite
+card=135 - DViCO FusionHDTV 5 Lite
 card=136 - Acorp Y878F
diff -puN drivers/media/video/bttv-cards.c~v4l-cx88-dvb-incorrectly-reporting-fixed-and drivers/media/video/bttv-cards.c
--- devel/drivers/media/video/bttv-cards.c~v4l-cx88-dvb-incorrectly-reporting-fixed-and	2005-09-07 20:11:08.000000000 -0700
+++ devel-akpm/drivers/media/video/bttv-cards.c	2005-09-07 20:11:08.000000000 -0700
@@ -2258,7 +2258,7 @@ struct tvcard bttv_tvcards[] = {
 
 	/* ---- card 0x80 ---------------------------------- */
 	/* Chris Pascoe <c.pascoe@itee.uq.edu.au> */
-	.name           = "DVICO FusionHDTV DVB-T Lite",
+	.name           = "DViCO FusionHDTV DVB-T Lite",
 	.tuner          = -1,
 	.no_msp34xx     = 1,
 	.no_tda9875     = 1,
@@ -2389,7 +2389,7 @@ struct tvcard bttv_tvcards[] = {
 {
 	/* ---- card 0x87---------------------------------- */
 	/* Michael Krufky <mkrufky@m1k.net> */
-	.name           = "DVICO FusionHDTV 5 Lite",
+	.name           = "DViCO FusionHDTV 5 Lite",
 	.tuner          = 0,
 	.tuner_type     = TUNER_LG_TDVS_H062F,
 	.tuner_addr	= ADDR_UNSET,
diff -puN drivers/media/video/cx88/cx88-dvb.c~v4l-cx88-dvb-incorrectly-reporting-fixed-and drivers/media/video/cx88/cx88-dvb.c
--- devel/drivers/media/video/cx88/cx88-dvb.c~v4l-cx88-dvb-incorrectly-reporting-fixed-and	2005-09-07 20:11:08.000000000 -0700
+++ devel-akpm/drivers/media/video/cx88/cx88-dvb.c	2005-09-07 20:11:08.000000000 -0700
@@ -28,7 +28,6 @@
 #include <linux/kthread.h>
 #include <linux/file.h>
 #include <linux/suspend.h>
-#include <linux/config.h>
 
 
 #include "cx88.h"
@@ -403,11 +402,6 @@ static int dvb_register(struct cx8802_de
 		dev->dvb.frontend->ops->info.frequency_max = dev->core->pll_desc->max;
 	}
 
-	/* Copy the board name into the DVB structure */
-	strlcpy(dev->dvb.frontend->ops->info.name,
-		cx88_boards[dev->core->board].name,
-		sizeof(dev->dvb.frontend->ops->info.name));
-
 	/* register everything */
 	return videobuf_dvb_register(&dev->dvb, THIS_MODULE, dev);
 }
diff -puN drivers/media/video/saa7134/saa7134-cards.c~v4l-cx88-dvb-incorrectly-reporting-fixed-and drivers/media/video/saa7134/saa7134-cards.c
--- devel/drivers/media/video/saa7134/saa7134-cards.c~v4l-cx88-dvb-incorrectly-reporting-fixed-and	2005-09-07 20:11:08.000000000 -0700
+++ devel-akpm/drivers/media/video/saa7134/saa7134-cards.c	2005-09-07 20:11:08.000000000 -0700
@@ -2380,12 +2380,6 @@ struct pci_device_id saa7134_pci_tbl[] =
 		.driver_data  = SAA7134_BOARD_VIDEOMATE_TV_PVR,
 	},{
 		.vendor       = PCI_VENDOR_ID_PHILIPS,
-		.device       = PCI_DEVICE_ID_PHILIPS_SAA7130,
-		.subvendor    = 0x1131,
-		.subdevice    = 0,
-		.driver_data  = SAA7134_BOARD_SABRENT_SBTTVFM,
-	},{
-		.vendor       = PCI_VENDOR_ID_PHILIPS,
 		.device       = PCI_DEVICE_ID_PHILIPS_SAA7134,
 		.subvendor    = 0x1461, /* Avermedia Technologies Inc */
 		.subdevice    = 0x9715,
_
